Apache log4cxx: LoggerRepository Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LoggerRepository Class Reference

Inherits Object.

Inherited by Hierarchy`[virtual]`.

List of all members.

## Detailed Description

A `LoggerRepository` is used to create and retrieve `Loggers`.

The relation between loggers in a repository depends on the repository but typically loggers are arranged in a named hierarchy.

In addition to the creational methods, a `LoggerRepository` can be queried for existing loggers, can act as a point of registry for events related to loggers.

## Public Member Functions
virtual | ~LoggerRepository ()
virtual void | addHierarchyEventListener (const HierarchyEventListenerPtr &listener)=0
| Add a HierarchyEventListener event to the repository.
virtual bool | isDisabled (int level) const =0
| Is the repository disabled for a given level? The answer depends on the repository threshold and the `level` parameter.
virtual void | setThreshold (const LevelPtr &level)=0
| Set the repository-wide threshold.
virtual void | setThreshold (const LogString &val)=0
| Another form of setThreshold accepting a string parameter instead of a `Level`.
virtual void | emitNoAppenderWarning (const LoggerPtr &logger)=0
virtual const LevelPtr & | getThreshold () const =0
| Get the repository-wide threshold.
virtual LoggerPtr | getLogger (const LogString &name)=0
virtual LoggerPtr | getLogger (const LogString &name, const spi::LoggerFactoryPtr &factory)=0
virtual LoggerPtr | getRootLogger () const =0
virtual LoggerPtr | exists (const LogString &name)=0
virtual void | shutdown ()=0
virtual LoggerList | getCurrentLoggers () const =0
virtual void | fireAddAppenderEvent (const LoggerPtr &logger, const AppenderPtr &appender)=0
virtual void | resetConfiguration ()=0
virtual bool | isConfigured ()=0
virtual void | setConfigured (bool configured)=0

## Constructor & Destructor Documentation

virtual ~LoggerRepository | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void addHierarchyEventListener | ( | const HierarchyEventListenerPtr & | listener | ) | `[pure virtual]`

| Add a HierarchyEventListener event to the repository.

virtual void emitNoAppenderWarning | ( | const LoggerPtr & | logger | ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual LoggerPtr exists | ( | const LogString & | name | ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual void fireAddAppenderEvent | ( | const LoggerPtr & | logger,
|  | const AppenderPtr & | appender
| ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual LoggerList getCurrentLoggers | ( |  | ) | const`[pure virtual]`

| Implemented in Hierarchy.

virtual LoggerPtr getLogger | ( | const LogString & | name,
|  | const spi::LoggerFactoryPtr & | factory
| ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual LoggerPtr getLogger | ( | const LogString & | name | ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual LoggerPtr getRootLogger | ( |  | ) | const`[pure virtual]`

| Implemented in Hierarchy.

virtual const LevelPtr& getThreshold | ( |  | ) | const`[pure virtual]`

| Get the repository-wide threshold. See setThreshold for an explanation. Implemented in Hierarchy.

virtual bool isConfigured | ( |  | ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual bool isDisabled | ( | int | level | ) | const`[pure virtual]`

| Is the repository disabled for a given level? The answer depends on the repository threshold and the `level` parameter. See also setThreshold method. Implemented in Hierarchy.

virtual void resetConfiguration | ( |  | ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual void setConfigured | ( | bool | configured | ) | `[pure virtual]`

| Implemented in Hierarchy.

virtual void setThreshold | ( | const LogString & | val | ) | `[pure virtual]`

| Another form of setThreshold accepting a string parameter instead of a `Level`. Implemented in Hierarchy.

virtual void setThreshold | ( | const LevelPtr & | level | ) | `[pure virtual]`

| Set the repository-wide threshold. All logging requests below the threshold are immediately dropped. By default, the threshold is set to `Level::getAll()` which has the lowest possible rank. Implemented in Hierarchy.

virtual void shutdown | ( |  | ) | `[pure virtual]`

| Implemented in Hierarchy.

The documentation for this class was generated from the following file:

- loggerrepository.h